summaryrefslogtreecommitdiff
path: root/tests/ls
diff options
context:
space:
mode:
authorJim Meyering <meyering@redhat.com>2011-05-25 07:35:59 +0200
committerJim Meyering <meyering@redhat.com>2011-05-25 08:27:34 +0200
commitbf9d4f1317e1247e16a643128a60620444d7049f (patch)
tree0fff82191c5a20d2cbd3364b73a0aa933a459925 /tests/ls
parent56a88e9522a37a741bfb7854915c9ce6274e3b0f (diff)
downloadcoreutils-bf9d4f1317e1247e16a643128a60620444d7049f.tar.xz
tests: ls/stat-free-color: fix unwarranted failure on a 32-bit system
* tests/ls/stat-free-color: Also check for stat64 and lstat64 syscalls. This fixes a test failure reported by Stefano Lattarini.
Diffstat (limited to 'tests/ls')
-rwxr-xr-xtests/ls/stat-free-color2
1 files changed, 1 insertions, 1 deletions
diff --git a/tests/ls/stat-free-color b/tests/ls/stat-free-color
index d11c6f49c..06e621e7e 100755
--- a/tests/ls/stat-free-color
+++ b/tests/ls/stat-free-color
@@ -47,7 +47,7 @@ MULTIHARDLINK 00
EOF
eval $(dircolors -b color-without-stat)
-strace -o log -e stat,lstat ls --color=always . || fail=1
+strace -o log -e stat,lstat,stat64,lstat64 ls --color=always . || fail=1
n_lines=$(wc -l < log)
test $n_lines = 1 || fail=1